> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询定价方案版本

> 查询定价方案版本详情

查询定价方案版本详情


## OpenAPI

````yaml openapi/v1-zh.yaml GET /api/v1/prices/version/{price_version_id}
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: 折扣
    description: 折扣
  - name: 发票
    description: 发票
  - name: 退款
    description: 退款
  - name: 商品管理
    description: 商品管理
  - name: 订阅
    description: 订阅
  - name: 商品定价
    description: 商品定价方案
  - name: 交易单
    description: 交易单
  - name: 支付流水
    description: 支付流水
  - name: 结账会话
    description: 结账会话
  - name: 顾客
    description: 顾客
  - name: 顾客门户
    description: 顾客门户
  - name: Webhook
    description: Webhook
  - name: 争议
    description: 争议订单
paths:
  /api/v1/prices/version/{price_version_id}:
    get:
      tags:
        - 商品定价
      summary: 查询定价方案版本
      description: 查询定价方案版本详情
      operationId: v1-price-get-price-version
      parameters:
        - name: price_version_id
          in: path
          description: 定价方案版本 ID
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPriceVersionResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: 请求的唯一标识符
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    GetPriceVersionResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/GetPriceVersionResponse_Data'
      description: 查询定价方案版本响应
    GetPriceVersionResponse_Data:
      type: object
      properties:
        id:
          type: string
          description: 定价方案 ID
        price_name:
          type: string
          description: 定价方案名称
        price_alias:
          type: string
          description: 定价方案别名
        product_id:
          type: string
          description: 关联商品 ID
        merchant_id:
          type: string
          description: 商户 ID
        currency:
          type: string
          description: 币种
        billing_type:
          type: string
          description: |-
            计费类型：
            - one_time：一次性计费
            - recurring：周期性计费
        price_val:
          type: string
          description: 一次性支付价格，当 billing_type 为 one_time 时有值
        description:
          type: string
          description: 定价描述
        price_plan:
          allOf:
            - $ref: '#/components/schemas/PricePlan'
          description: 定价计划
        biz_status:
          type: string
          description: |-
            状态：
             - draft：草稿
             - active：已激活
             - frozen：已冻结
        has_trial:
          type: boolean
          description: 是否启用试用期
        trial_period:
          allOf:
            - $ref: '#/components/schemas/TrialPeriod'
          description: 试用期配置
        created_at:
          type: string
          description: 创建时间
        price_type:
          type: string
          description: 定价模型类型
        usage_amount:
          type: string
          description: 资源包用量
        usage_unit:
          type: string
          description: 资源包用量单位
        model_type:
          type: string
          description: 定价模型二级类型
        billing_threshold:
          type: string
          description: 扣费金额阈值
        trial_type:
          type: integer
          description: |-
            试用类型
             - 0: 免费试用
             - 1: 付费试用
          format: int32
        trial_amount:
          type: string
          description: 试用价格
        metadata:
          type: object
          additionalProperties:
            type: string
          description: 一组可附加到对象上的键值对，用于以结构化格式存储附加信息
        price_version_id:
          type: string
          description: 定价方案版本 ID
        product_version_id:
          type: string
          description: 商品版本 ID
      description: 查询定价方案版本响应
    PricePlan:
      type: object
      properties:
        price_plan_id:
          type: string
        plan_name:
          type: string
        billing_cycle_unit:
          type: string
        billing_cycle_count:
          type: integer
          format: int32
        is_infinite:
          type: boolean
        base_price_val:
          type: string
        plan_description:
          type: string
        price_plan_tiers:
          type: array
          items:
            $ref: '#/components/schemas/PricePlanTier'
      description: 价格计划
    TrialPeriod:
      type: object
      properties:
        trial_period_unit:
          type: string
          description: 试用期单位，必填，如：day、week、month等
        trial_period_count:
          type: integer
          description: 试用期数量，必填，如：7天、1个月等
          format: int32
      description: TrialPeriod - 试用期配置
    PricePlanTier:
      type: object
      properties:
        period_count:
          type: integer
          format: int32
        period_unit:
          type: string
        original_price:
          type: string
        due_price:
          type: string
        discount_type:
          type: string
        discount_value:
          type: string
      description: 价格计划层级
  securitySchemes:
    sec0:
      type: http
      description: 'Bearer API Key 鉴权。格式：Authorization: Bearer {your_api_key}'
      scheme: bearer

````